<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>NANO102/112 BSP: StdDriver/src/sc.c File Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../M0Banner_v2.jpg"/></td>
  <td id="projectalign">
   <div id="projectname">NANO102/112 BSP<span id="projectnumber">&#160;V3.04.000</span>
   </div>
   <div id="projectbrief">The Board Support Package for Nano102/112 Series</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',false,false,'search.php','Search');
});
/* @license-end */
</script>
<div id="main-nav"></div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="../../dir_0d398eaf8b2db165a9197a6619ec9f0e.html">StdDriver</a></li><li class="navelem"><a class="el" href="../../dir_3abedc03644d33bc69016fb8a5546004.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle"><div class="title">sc.c File Reference</div></div>
</div><!--header-->
<div class="contents">

<p>Nano 102/112 series Smartcard(SC) driver source file.  
<a href="#details">More...</a></p>
<div class="textblock"><code>#include &quot;<a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html">Nano1X2Series.h</a>&quot;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for sc.c:</div>
<div class="dyncontent">
<div class="center"><img src="../../d1/de8/sc_8c__incl.png" border="0" usemap="#a_std_driver_2src_2sc_8c" alt=""/></div>
</div>
</div>
<p><a href="../../df/d60/sc_8c_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="func-members" name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:ga686a066952920555d863a2adbb1c985a"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d2f/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga686a066952920555d863a2adbb1c985a">SC_IsCardInserted</a> (<a class="el" href="../../d6/d6b/struct_s_c___t.html">SC_T</a> *sc)</td></tr>
<tr class="memdesc:ga686a066952920555d863a2adbb1c985a"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function indicates specified smartcard slot status.  <a href="../../d5/d2f/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga686a066952920555d863a2adbb1c985a">More...</a><br /></td></tr>
<tr class="separator:ga686a066952920555d863a2adbb1c985a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gabbf16e2b53c6775d903d5e398d4c5e29"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d2f/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gabbf16e2b53c6775d903d5e398d4c5e29">SC_ClearFIFO</a> (<a class="el" href="../../d6/d6b/struct_s_c___t.html">SC_T</a> *sc)</td></tr>
<tr class="memdesc:gabbf16e2b53c6775d903d5e398d4c5e29"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function reset both transmit and receive FIFO of specified smartcard module.  <a href="../../d5/d2f/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gabbf16e2b53c6775d903d5e398d4c5e29">More...</a><br /></td></tr>
<tr class="separator:gabbf16e2b53c6775d903d5e398d4c5e29"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad7fabbdd3ae9853db07af8a98508f8cf"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d2f/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad7fabbdd3ae9853db07af8a98508f8cf">SC_Close</a> (<a class="el" href="../../d6/d6b/struct_s_c___t.html">SC_T</a> *sc)</td></tr>
<tr class="memdesc:gad7fabbdd3ae9853db07af8a98508f8cf"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function disable specified smartcard module.  <a href="../../d5/d2f/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad7fabbdd3ae9853db07af8a98508f8cf">More...</a><br /></td></tr>
<tr class="separator:gad7fabbdd3ae9853db07af8a98508f8cf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga3fb708b1684dff67a8ce2c3951e55731"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d2f/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga3fb708b1684dff67a8ce2c3951e55731">SC_Open</a> (<a class="el" href="../../d6/d6b/struct_s_c___t.html">SC_T</a> *sc, uint32_t u32CD, uint32_t u32PWR)</td></tr>
<tr class="memdesc:ga3fb708b1684dff67a8ce2c3951e55731"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function initialized smartcard module.  <a href="../../d5/d2f/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga3fb708b1684dff67a8ce2c3951e55731">More...</a><br /></td></tr>
<tr class="separator:ga3fb708b1684dff67a8ce2c3951e55731"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga31243375c4a9a634e6b5fb3808aabb21"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d2f/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga31243375c4a9a634e6b5fb3808aabb21">SC_ResetReader</a> (<a class="el" href="../../d6/d6b/struct_s_c___t.html">SC_T</a> *sc)</td></tr>
<tr class="memdesc:ga31243375c4a9a634e6b5fb3808aabb21"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function reset specified smartcard module to its default state for activate smartcard.  <a href="../../d5/d2f/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga31243375c4a9a634e6b5fb3808aabb21">More...</a><br /></td></tr>
<tr class="separator:ga31243375c4a9a634e6b5fb3808aabb21"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga2744d5a40d4fd646192c641d20aecb78"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d2f/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga2744d5a40d4fd646192c641d20aecb78">SC_SetBlockGuardTime</a> (<a class="el" href="../../d6/d6b/struct_s_c___t.html">SC_T</a> *sc, uint32_t u32BGT)</td></tr>
<tr class="memdesc:ga2744d5a40d4fd646192c641d20aecb78"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function block guard time (BGT) of specified smartcard module.  <a href="../../d5/d2f/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga2744d5a40d4fd646192c641d20aecb78">More...</a><br /></td></tr>
<tr class="separator:ga2744d5a40d4fd646192c641d20aecb78"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga309160531bd03b3df167a13e5f1e63b1"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d2f/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga309160531bd03b3df167a13e5f1e63b1">SC_SetCharGuardTime</a> (<a class="el" href="../../d6/d6b/struct_s_c___t.html">SC_T</a> *sc, uint32_t u32CGT)</td></tr>
<tr class="memdesc:ga309160531bd03b3df167a13e5f1e63b1"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function character guard time (CGT) of specified smartcard module.  <a href="../../d5/d2f/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga309160531bd03b3df167a13e5f1e63b1">More...</a><br /></td></tr>
<tr class="separator:ga309160531bd03b3df167a13e5f1e63b1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga450a6bee9c5c243cc116fdeae859dbf3"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d2f/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga450a6bee9c5c243cc116fdeae859dbf3">SC_StopAllTimer</a> (<a class="el" href="../../d6/d6b/struct_s_c___t.html">SC_T</a> *sc)</td></tr>
<tr class="memdesc:ga450a6bee9c5c243cc116fdeae859dbf3"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function stop all smartcard timer of specified smartcard module.  <a href="../../d5/d2f/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga450a6bee9c5c243cc116fdeae859dbf3">More...</a><br /></td></tr>
<tr class="separator:ga450a6bee9c5c243cc116fdeae859dbf3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga6f12c3d08c7ab548f69e90e94340aea8"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d2f/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga6f12c3d08c7ab548f69e90e94340aea8">SC_StartTimer</a> (<a class="el" href="../../d6/d6b/struct_s_c___t.html">SC_T</a> *sc, uint32_t u32TimerNum, uint32_t u32Mode, uint32_t u32ETUCount)</td></tr>
<tr class="memdesc:ga6f12c3d08c7ab548f69e90e94340aea8"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function configure and start a smartcard timer of specified smartcard module.  <a href="../../d5/d2f/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga6f12c3d08c7ab548f69e90e94340aea8">More...</a><br /></td></tr>
<tr class="separator:ga6f12c3d08c7ab548f69e90e94340aea8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga6a9ee8ad942a87c0c22d61ea333e7e0c"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d2f/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga6a9ee8ad942a87c0c22d61ea333e7e0c">SC_StopTimer</a> (<a class="el" href="../../d6/d6b/struct_s_c___t.html">SC_T</a> *sc, uint32_t u32TimerNum)</td></tr>
<tr class="memdesc:ga6a9ee8ad942a87c0c22d61ea333e7e0c"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function stop a smartcard timer of specified smartcard module.  <a href="../../d5/d2f/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga6a9ee8ad942a87c0c22d61ea333e7e0c">More...</a><br /></td></tr>
<tr class="separator:ga6a9ee8ad942a87c0c22d61ea333e7e0c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p >Nano 102/112 series Smartcard(SC) driver source file. </p>
<dl class="section version"><dt>Version</dt><dd>V1.00 </dd></dl>
<dl class="section rcs"><dt>Revision</dt><dd>7 </dd></dl>
<dl class="section rcs"><dt>Date</dt><dd>15/07/27 6:41p </dd></dl>
<dl class="section note"><dt>Note</dt><dd>SPDX-License-Identifier: Apache-2.0 Copyright (C) 2013~2014 Nuvoton Technology Corp. All rights reserved. </dd></dl>

<p class="definition">Definition in file <a class="el" href="../../df/d60/sc_8c_source.html">sc.c</a>.</p>
</div></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Oct 18 2024 12:20:31 for NANO102/112 BSP by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
